/************************************************************************/
/* Author: 	Hirotaka Miura.						*/
/* Contact: 	Hirotaka.Miura@gmail.com.				*/
/************************************************************************/

/************************************************************************/
/* 04/24/2011: 	Modified.						*/
/* 04/22/2011: 	Previouly modified.					*/
/* 04/16/2011: 	Created.						*/
/************************************************************************/

/************************************************************************/
/* Program: 	ereturn().						*/
/* Function: 	Routine to return matrix properties in e().		*/					*/
/************************************************************************/
mata:
void ereturn(real matrix X){
  /* Specify scalars.							*/
  st_numscalar("e(mean)",mean(mean(X)'))
  st_numscalar("e(min)",min(X))
  st_numscalar("e(max)",max(X))
  st_numscalar("e(sum)",sum(X))
  st_numscalar("e(missing)",missing(X))
  st_numscalar("e(nonmissing)",nonmissing(X))
}
end

